/* Reminder.h created by wjabi on Sat 17-Jan-1998 */

#import <AppKit/AppKit.h>

@interface Reminder : NSObject
{
    NSString *reminderString;
    int hours, minutes, seconds;
    BOOL      repeats;
    BOOL      absolute;
    NSTimer  *timer;
}

- (void) setStringValue:(NSString *)aString;
- (NSString *) stringValue;
- (void) setRepeats:(BOOL)repeatsValue;
- (BOOL) getRepeats;
- (void) setAbsolute:(BOOL)absoluteValue;
- (BOOL) getAbsolute;
- (void) cancelReminder;
- (BOOL) getValid;
- (id) setReminder:(int)hours :(int)minutes :(int)seconds :aTarget :(SEL)aSelector :(BOOL)repeatsValue :(BOOL)absoluteValue :(NSString *)aString;
- (void) remainingTime:(int *)hours minutes:(int *)minutes seconds:(int *)seconds;

    long ConvertTimeToSeconds(int hr, int min, int sec);
    void ConvertSecondsToTime(long totalSeconds, int *hours, int *minutes, int *secs);

@end
